Bug 21121 - Can't build SRPMs with rpm 4.0
Summary: Can't build SRPMs with rpm 4.0
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm-build
Version: 7.0
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-20 13:53 UTC by Paul Hamer
Modified: 2007-03-27 03:37 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2000-11-20 13:53:53 UTC


Attachments (Terms of Use)

Description Paul Hamer 2000-11-20 13:53:50 UTC
The rpm tool supplied with RH 7 does not seem to accept the -ba option. Also the --rebuild option causes the rpm command to simply print out 
its help information. Under RH 6.2 I could use the following commands to generate an RPM out of an SRPM:

> rpm -ihv thing.src.rpm
This still works fine
> rpm -ba --target=i686 thing.spec
These options are no longer accepted.

Comment 1 Jeff Johnson 2000-11-20 13:57:31 UTC
The build modes of rpm are now resident in the rpm-build package. Install that
package in order
to build packages.


Note You need to log in before you can comment on or make changes to this bug.